Bug 1694525 - Installation failed for "Kubernetes API: context deadline exceeded" error
Summary: Installation failed for "Kubernetes API: context deadline exceeded" error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.0
Assignee: Steve Milner
QA Contact: Mike Fiedler
URL:
Whiteboard:
Depends On:
Blocks: 1693840
TreeView+ depends on / blocked
 
Reported: 2019-04-01 02:54 UTC by Junqi Zhao
Modified: 2019-06-04 10:46 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:46:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:46:53 UTC

Comment 1 W. Trevor King 2019-04-01 07:43:01 UTC
Recent instances of "Kubernetes API: context deadline exceeded" have been due to a failure to form an etcd quorum (https://etcd-0.***:2379 is unhealthy: failed to connect) which has in turn been due to the control-plane nodes failing a boot-time pivot.  I'm not sure if these issues have had Bugzillas filed (if they have, I'm not turning up the bug IDs now).  But reassigning to the RHCOS team so they can take a look.

Comment 14 Mike Fiedler 2019-04-02 13:58:16 UTC
Verified on 4.0.0-0.nightly-2019-04-02-081046

Comment 16 errata-xmlrpc 2019-06-04 10:46:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.